=== debian/watch ===
version=3
http://www.antlr3.org/download/antlr-(.*)\.tar\.gz debian debian/orig-tar.sh
