## antlr3 3.2.is.3.2

=== debian/changelog ===
antlr3 (3.2.is.3.2-7ubuntu3) quantal; urgency=low

  * Fix issue with links between maven-repo and /usr/share/java:
    - d/rules: Drop calls to mh_linkrepojar - these are no longer required as
      jar files are installed to /usr/share/java and links created from the
      /usr/share/maven-repo. 

 -- James Page <james.page@ubuntu.com>  Wed, 19 Sep 2012 09:58:41 +0100

antlr3 (3.2.is.3.2-7ubuntu2) quantal; urgency=low

  * Support installation alongside antlr2 packages (LP: #1049167):
    - d/antlr3.poms: Provide antlr3 prefixed names for the antlr jar files
      installed to /usr/share/java.  This also makes the 'antlr3' command
      work again.

 -- James Page <james.page@ubuntu.com>  Tue, 11 Sep 2012 16:26:47 +0100

antlr3 (3.2.is.3.2-7ubuntu1) quantal; urgency=low

  * Restore jar files to /usr/share/java (LP: #1049087):
    - d/antlr3.poms: Specify --java-lib flag for jars which are not
      maven plugins.

 -- James Page <james.page@ubuntu.com>  Tue, 11 Sep 2012 14:06:19 +0100

antlr3 (3.2.is.3.2-7) quantal; urgency=low

  * No-change upload to Ubuntu

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 01 Jul 2012 01:41:00 -0400
