=== debian/control ===
--- 
+++ 
@@ -1,56 +1,48 @@
 Source: antlr3
 Section: java
 Priority: optional
-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
-Uploaders: Ludovic Claude <ludovic.claude@laposte.net>,
-           Emmanuel Bourg <ebourg@apache.org>,
-           Jakub Adam <jakub.adam@ktknet.cz>
-Build-Depends: bnd,
-               cdbs,
-               debhelper (>= 9),
-               default-jdk,
-               default-jdk-doc,
-               libantlr-maven-plugin-java (>= 2.1),
-               libmaven-install-plugin-java,
-               libmaven-javadoc-plugin-java,
-               libmaven-plugin-testing-java,
-               libmaven-plugin-tools-java,
-               libstringtemplate-java (>= 3.2.1),
-               maven-debian-helper (>= 1.1)
-Standards-Version: 3.9.5
-Vcs-Svn: svn://anonscm.debian.org/pkg-java/trunk/antlr3
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-java/trunk/antlr3
-Homepage: http://www.antlr3.org
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
+Uploaders: Ludovic Claude <ludovic.claude@laposte.net>
+Build-Depends: debhelper (>= 7), cdbs, default-jdk,
+ maven-debian-helper (>= 1.1), libstringtemplate-java (>= 3.2.1),
+ libantlr-maven-plugin-java (>= 2.1), libmaven-plugin-testing-java,
+ libmaven-javadoc-plugin-java, libmaven-install-plugin-java,
+ default-jdk-doc, libmaven-plugin-tools-java
+Standards-Version: 3.9.0
+Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/antlr3
+Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/trunk/antlr3
+Homepage: http://www.antlr.org/
 
 Package: antlr3
 Architecture: all
-Depends: default-jre-headless | java2-runtime-headless |
+Depends: ${misc:Depends},
+ default-jre-headless | java2-runtime-headless |
  java5-runtime-headless | java6-runtime-headless,
-         libstringtemplate-java,
-         ${misc:Depends}
+ libstringtemplate-java
 Recommends: ${maven:OptionalDepends}
 Description: language tool for constructing recognizers, compilers etc
- ANTLR, ANother Tool for Language Recognition, (formerly PCCTS) is
+ ANTLR, ANother Tool for Language Recognition, (formerly PCCTS) is 
  a language tool that provides a framework for constructing recognizers,
  compilers, and translators from grammatical descriptions containing C++
  or Java actions [You can use PCCTS 1.xx to generate C-based parsers].
- .
- Computer language translation has become a common task. While
+ . 
+ Computer language translation has become a common task. While 
  compilers and tools for traditional computer languages (such as C
  or Java) are still being built, their number is dwarfed by the thousands
- of mini-languages for which recognizers and translators are being
- developed. Programmers construct translators for database formats,
- graphical data files (e.g., PostScript, AutoCAD), text processing
- files (e.g., HTML, SGML).  ANTLR is designed to handle all of your
+ of mini-languages for which recognizers and translators are being 
+ developed. Programmers construct translators for database formats, 
+ graphical data files (e.g., PostScript, AutoCAD), text processing 
+ files (e.g., HTML, SGML).  ANTLR is designed to handle all of your 
  translation tasks.
 
 Package: antlr3-doc
 Architecture: all
 Section: doc
-Depends: default-jdk-doc, ${misc:Depends}
+Depends: ${misc:Depends}, default-jdk-doc
 Suggests: libantlr3-java
 Description: language tool for constructing compilers etc - documentation
- ANTLR, ANother Tool for Language Recognition, (formerly PCCTS) is
+ ANTLR, ANother Tool for Language Recognition, (formerly PCCTS) is 
  a language tool that provides a framework for constructing recognizers,
  compilers, and translators from grammatical descriptions containing C++
  or Java actions [You can use PCCTS 1.xx to generate C-based parsers].
@@ -59,12 +51,10 @@
 
 Package: antlr3-maven-plugin
 Architecture: all
-Depends: antlr3 (>= ${source:Version}),
-         libmaven2-core-java,
-         libplexus-compiler-api-java,
-         ${misc:Depends}
+Depends: ${misc:Depends}, antlr3 (>= ${source:Version}), 
+ libmaven2-core-java, libplexus-compiler-api-java
 Description: Maven plugin for ANTLR 3
- ANTLR, ANother Tool for Language Recognition, (formerly PCCTS) is
+ ANTLR, ANother Tool for Language Recognition, (formerly PCCTS) is 
  a language tool that provides a framework for constructing recognizers,
  compilers, and translators from grammatical descriptions containing C++
  or Java actions [You can use PCCTS 1.xx to generate C-based parsers].
@@ -74,7 +64,7 @@
 
 Package: libantlr3-gunit-java
 Architecture: all
-Depends: antlr3 (>= ${source:Version}), junit4, ${misc:Depends}
+Depends: ${misc:Depends}, antlr3 (>= ${source:Version}), junit4
 Suggests: antlr3-gunit-maven-plugin
 Description: Unit Test framework for ANTLR grammars
  gUnit is a "Unit Test" framework for ANTLR grammars. It provides a simple
@@ -93,7 +83,7 @@
 Package: libantlr3-gunit-java-doc
 Architecture: all
 Section: doc
-Depends: antlr3-doc, junit4-doc, ${misc:Depends}
+Depends: ${misc:Depends}, antlr3-doc, junit4-doc
 Suggests: libantlr3-gunit-java
 Description: API documentation for gUnit
  gUnit is a "Unit Test" framework for ANTLR grammars. It provides a simple
@@ -113,10 +103,8 @@
 
 Package: antlr3-gunit-maven-plugin
 Architecture: all
-Depends: libantlr3-gunit-java (>= ${source:Version}),
-         libmaven2-core-java,
-         libplexus-compiler-api-java,
-         ${misc:Depends}
+Depends: ${misc:Depends}, libantlr3-gunit-java (>= ${source:Version}), 
+ libmaven2-core-java, libplexus-compiler-api-java
 Description: Maven plugin for gUnit, a unit test framework for ANTLR grammars
  gUnit is a "Unit Test" framework for ANTLR grammars. It provides a simple
  way to write and run automated tests for ANTLR grammars in a manner similar
@@ -133,3 +121,5 @@
  .
  This package provides the Maven plugin that allow to run gUnit tests during
  a Maven build
+
+
