=== debian/watch ===
version=3
http://www.antlr.org/download/ /antlr-(.*)\.tar\.gz debian debian/orig-tar.sh
