## antlr3 3.5.2

=== debian/changelog ===
antlr3 (3.5.2-9) unstable; urgency=medium

  * Team upload.
  * Declare compliance with Debian Policy 4.1.3.
  * antlr3: Only depend on default-jre-headless | java7-runtime-headless.
  * Use https for Format field.
  * Fix FTBFS with Java 9.
    Thanks to Tiago Stürmer Daitx for the patch. (Closes: #892760)

 -- Markus Koschany <apo@debian.org>  Tue, 20 Mar 2018 21:34:54 +0100

antlr3 (3.5.2-8) unstable; urgency=medium

  * Team upload.
  * Depend on libmaven3-core-java instead of libmaven2-core-java

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 02 Aug 2017 11:53:56 +0200

antlr3 (3.5.2-7) unstable; urgency=medium

  * Team upload.
  * Added the missing build dependency on junit4 (Closes: #866549)
  * Standards-Version updated to 4.0.0

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 30 Jun 2017 11:15:48 +0200

antlr3 (3.5.2-6) unstable; urgency=medium

  * Team upload.
  * Restored the Export-Package field in the OSGi metadata
  * Switch to debhelper level 10

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 07 Nov 2016 13:54:43 +0100

antlr3 (3.5.2-5) unstable; urgency=medium

  * Team upload.
  * Added the missing build dependency on ant (Closes: #814723)
  * Standards-Version updated to 3.9.8
  * Use a secure Vcs-Git URL

 -- Emmanuel Bourg <ebourg@apache.org>  Sun, 26 Jun 2016 18:49:21 +0200

antlr3 (3.5.2-4) unstable; urgency=medium

  * Fixed the build failure with Maven 3 (Closes: #807733)

 -- Emmanuel Bourg <ebourg@apache.org>  Sat, 12 Dec 2015 22:14:20 +0100

antlr3 (3.5.2-3) unstable; urgency=medium

  * Team upload.

  [ Emmanuel Bourg ]
  * Declare that ANTLR 3.5 breaks jython (<< 2.5.3-7~)
  * Replaced the HashSets with LinkedHashSets in DefineGrammarItemsWalker
    to make the generated parsers reproducible
  * d/README.source: Updated the instructions to build the generated sources
  * Removed the unused dependency on libantlr-maven-plugin-java
  * Require Java 5 or higher
  * Fixed the library package suggested by antlr3-doc
  * Changed the section of the manpage (3 -> 1)

  [ Markus Koschany ]
  * Vcs-Browser: Use https.
  * Transition to bnd 2.1.0.
  * Add a new maven rule for antlr2, otherwise the build FTBFS.
  * Fix Lintian warning spelling-error-in-description.

 -- Markus Koschany <apo@debian.org>  Thu, 19 Nov 2015 19:06:16 +0100

antlr3 (3.5.2-2) unstable; urgency=medium

  * Team upload.
  * Moved the runtime into a separate libantlr3-runtime-java package
    to avoid a dependency cycle with libstringtemplate4-java (Closes: #793715)

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 29 Jul 2015 19:54:55 +0200

antlr3 (3.5.2-1) unstable; urgency=medium

  * New upstream release (Closes: #635268)
    - Removed java{7,8}-compat.patch (fixed upstream)
    - Ignore the new modules: antlr-complete, antlr3-maven-archetype
    - Added a dependency on libstringtemplate4-java
    - Refreshed debian/generated-sources
    - Updated the man page
    - Backported two fixes for the C template
    - Patched the org.antlr.runtime.Token class to preserve the EOF_TOKEN field
  * debian/rules:
    - Changed the bnd command to work with any upstream version
    - Remove the antlr3 artifacts from debian/maven-repo before invoking Maven
      (Closes: #706172)
    - Improved the clean target
  * Build and install the Ant task (Closes: #590699)
  * Increased the default conversion timeout to 30 seconds (Closes: #779973)
  * debian/watch: Watch the release tags on Github
  * debian/orig-tar.sh:
    - Use XZ compression for the upstream tarball
    - Remove the zipped examples in the antlr-ant directory

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 22 Jul 2015 18:52:02 +0200

antlr3 (3.2-11) unstable; urgency=medium

  * Team upload.
  * Replace dependency on dummy package libplexus-compiler-api-java
    with libplexus-compiler-java (Closes: #791487)
  * Moved the package to Git
  * Bump Standards-Version to 3.9.6 (no changes).

 -- tony mancill <tmancill@debian.org>  Sat, 11 Jul 2015 10:58:15 -0700
