=== debian/control ===
--- 
+++ 
@@ -1,48 +1,60 @@
 Source: antlr3
 Section: java
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
-Uploaders: Ludovic Claude <ludovic.claude@laposte.net>
-Build-Depends: debhelper (>= 7), cdbs, default-jdk,
- maven-debian-helper (>= 1.1), libstringtemplate-java (>= 3.2.1),
- libantlr-maven-plugin-java (>= 2.1), libmaven-plugin-testing-java,
- libmaven-javadoc-plugin-java, libmaven-install-plugin-java,
- default-jdk-doc, libmaven-plugin-tools-java
-Standards-Version: 3.9.0
-Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/antlr3
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/trunk/antlr3
-Homepage: http://www.antlr.org/
+Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
+Uploaders: Ludovic Claude <ludovic.claude@laposte.net>,
+           Emmanuel Bourg <ebourg@apache.org>,
+           Jakub Adam <jakub.adam@ktknet.cz>
+Build-Depends: ant,
+               bnd (>= 2.1.0),
+               cdbs,
+               debhelper (>= 10),
+               default-jdk,
+               default-jdk-doc,
+               junit4,
+               libmaven-install-plugin-java,
+               libmaven-javadoc-plugin-java,
+               libmaven-plugin-testing-java,
+               libmaven-plugin-tools-java,
+               libstringtemplate-java (>= 3.2.1),
+               libstringtemplate4-java (>= 4.0.8),
+               maven-debian-helper (>= 1.1),
+               zip
+Standards-Version: 4.1.3
+Vcs-Git: https://anonscm.debian.org/git/pkg-java/antlr3.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/antlr3.git
+Homepage: http://www.antlr3.org
 
 Package: antlr3
 Architecture: all
-Depends: ${misc:Depends},
- default-jre-headless | java2-runtime-headless |
- java5-runtime-headless | java6-runtime-headless,
- libstringtemplate-java
+Depends: default-jre-headless | java7-runtime-headless,
+         libantlr3-runtime-java (= ${source:Version}),
+         libstringtemplate4-java,
+         ${misc:Depends}
 Recommends: ${maven:OptionalDepends}
+Breaks: jython (<< 2.5.3-7~)
 Description: language tool for constructing recognizers, compilers etc
- ANTLR, ANother Tool for Language Recognition, (formerly PCCTS) is 
+ ANTLR, ANother Tool for Language Recognition, (formerly PCCTS) is
  a language tool that provides a framework for constructing recognizers,
  compilers, and translators from grammatical descriptions containing C++
  or Java actions [You can use PCCTS 1.xx to generate C-based parsers].
- . 
- Computer language translation has become a common task. While 
+ .
+ Computer language translation has become a common task. While
  compilers and tools for traditional computer languages (such as C
  or Java) are still being built, their number is dwarfed by the thousands
- of mini-languages for which recognizers and translators are being 
- developed. Programmers construct translators for database formats, 
- graphical data files (e.g., PostScript, AutoCAD), text processing 
- files (e.g., HTML, SGML).  ANTLR is designed to handle all of your 
+ of mini-languages for which recognizers and translators are being
+ developed. Programmers construct translators for database formats,
+ graphical data files (e.g., PostScript, AutoCAD), text processing
+ files (e.g., HTML, SGML).  ANTLR is designed to handle all of your
  translation tasks.
 
 Package: antlr3-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends}, default-jdk-doc
-Suggests: libantlr3-java
+Depends: default-jdk-doc, ${misc:Depends}
+Suggests: libantlr3-runtime-java
 Description: language tool for constructing compilers etc - documentation
- ANTLR, ANother Tool for Language Recognition, (formerly PCCTS) is 
+ ANTLR, ANother Tool for Language Recognition, (formerly PCCTS) is
  a language tool that provides a framework for constructing recognizers,
  compilers, and translators from grammatical descriptions containing C++
  or Java actions [You can use PCCTS 1.xx to generate C-based parsers].
@@ -51,20 +63,36 @@
 
 Package: antlr3-maven-plugin
 Architecture: all
-Depends: ${misc:Depends}, antlr3 (>= ${source:Version}), 
- libmaven2-core-java, libplexus-compiler-api-java
+Depends: antlr3 (>= ${source:Version}),
+         libmaven3-core-java,
+         libplexus-compiler-java,
+         ${misc:Depends}
 Description: Maven plugin for ANTLR 3
- ANTLR, ANother Tool for Language Recognition, (formerly PCCTS) is 
+ ANTLR, ANother Tool for Language Recognition, (formerly PCCTS) is
  a language tool that provides a framework for constructing recognizers,
  compilers, and translators from grammatical descriptions containing C++
  or Java actions [You can use PCCTS 1.xx to generate C-based parsers].
  .
- This package provides the Maven plugin that allow to compile ANTLR 3
+ This package provides the Maven plugin that supports compiling ANTLR 3
  grammars during a Maven build
+
+Package: libantlr3-runtime-java
+Architecture: all
+Depends: ${misc:Depends}
+Breaks: antlr3 (<< 3.5.2-2~)
+Replaces: antlr3 (<< 3.5.2-2~)
+Description: Runtime library for ANTLR 3
+ ANTLR, ANother Tool for Language Recognition, (formerly PCCTS) is
+ a language tool that provides a framework for constructing recognizers,
+ compilers, and translators from grammatical descriptions containing C++
+ or Java actions [You can use PCCTS 1.xx to generate C-based parsers].
+ .
+ This package provides the runtime library required to run the parsers
+ generated by ANTLR 3
 
 Package: libantlr3-gunit-java
 Architecture: all
-Depends: ${misc:Depends}, antlr3 (>= ${source:Version}), junit4
+Depends: antlr3 (>= ${source:Version}), junit4, ${misc:Depends}
 Suggests: antlr3-gunit-maven-plugin
 Description: Unit Test framework for ANTLR grammars
  gUnit is a "Unit Test" framework for ANTLR grammars. It provides a simple
@@ -83,7 +111,7 @@
 Package: libantlr3-gunit-java-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends}, antlr3-doc, junit4-doc
+Depends: antlr3-doc, junit4-doc, ${misc:Depends}
 Suggests: libantlr3-gunit-java
 Description: API documentation for gUnit
  gUnit is a "Unit Test" framework for ANTLR grammars. It provides a simple
@@ -103,8 +131,10 @@
 
 Package: antlr3-gunit-maven-plugin
 Architecture: all
-Depends: ${misc:Depends}, libantlr3-gunit-java (>= ${source:Version}), 
- libmaven2-core-java, libplexus-compiler-api-java
+Depends: libantlr3-gunit-java (>= ${source:Version}),
+         libmaven3-core-java,
+         libplexus-compiler-java,
+         ${misc:Depends}
 Description: Maven plugin for gUnit, a unit test framework for ANTLR grammars
  gUnit is a "Unit Test" framework for ANTLR grammars. It provides a simple
  way to write and run automated tests for ANTLR grammars in a manner similar
@@ -119,7 +149,5 @@
  in your parser objects. The generator, on the other hand, translates your
  gUnit script to jUnit Java code that you can compile and execute by hand.
  .
- This package provides the Maven plugin that allow to run gUnit tests during
- a Maven build
-
-
+ This package provides the Maven plugin that allows one to run gUnit tests
+ during a Maven build.
