=== debian/watch ===
version=3
https://github.com/antlr/antlr3/tags .*/(?:antlr-)?([\d\.]+).tar.gz debian debian/orig-tar.sh
