## antlr3 3.5.3

=== debian/changelog ===
antlr3 (3.5.3-4) unstable; urgency=medium

  * Team upload
  * Dropping cdbs and using debhelper for the build, rewriting d/rules
    (Closes: #1091780)
  * Removing d/maven.mk and d.maven-vars.mk
  * Dropping old d/compat file, B-D on debhelper-compat 13 instead
  * Raising Standards version to 4.7.3:
    - Removing Priority: optional, which is default
  * Rewriting d/copyright
  * Removing unnecessary versioned B-D
  * Using javahelper to set the classpath of the built jars
  * Rewriting d/watch with version 5

  [ Alexandre Detiste ]
  * trim dead code from CDBS helper

 -- Pierre Gruet <pgt@debian.org>  Tue, 20 Jan 2026 23:45:01 +0100

antlr3 (3.5.3-3) unstable; urgency=medium

  * Team Upload
  * Vendor maven.mk that was previously in "maven-debian-helper"
    antlr3 is the very last remaining user of maven.mk left.
  * Bump d/watch to v4
  * Use https for Homepage
  * Bump Standards-Version to 4.7.2
  * Fix d/clean syntax

  [ Debian Janitor ]
  * Apply multi-arch hints. + libantlr3-runtime-java: Add Multi-Arch: foreign.

 -- Alexandre Detiste <tchet@debian.org>  Fri, 05 Sep 2025 12:06:15 +0200

antlr3 (3.5.3-2) unstable; urgency=medium

  * Fixed the build failure with Java 21 (Closes: #1052588)
  * Standards-Version updated to 4.6.2
  * Fixed debian/clean (Closes: #1043834, #1049612)

 -- Emmanuel Bourg <ebourg@apache.org>  Sun, 01 Oct 2023 21:52:24 +0200

antlr3 (3.5.3-1) unstable; urgency=medium

  * New upstream release
    - Refreshed the patches
    - Updated the Maven rules
  * Removed the antlr3-doc and libantlr3-gunit-java-doc packages
  * Added the debian/clean to simplify the clean target of debian/rules
  * Standards-Version updated to 4.6.1
  * Use salsa.debian.org Vcs-* URLs

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 12 Dec 2022 23:39:22 +0100
