=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with javahelper

execute_before_dh_auto_configure:
	# Copy previously generated sources into the source tree of the artifact
	cp -r debian/generated-sources/antlr3/* tool/src/main/java

execute_after_dh_auto_build:
	# Building the Ant task
	javac -source 8 -target 8 -encoding ISO-8859-1 -g -cp /usr/share/java/ant.jar antlr-ant/main/antlr3-task/antlr3-src/org/apache/tools/ant/antlr/ANTLR3.java
	jar -cvf antlr-ant/main/antlr3-task/antlr3-task.jar -C antlr-ant/main/antlr3-task/antlr3-src .
	zip --delete antlr-ant/main/antlr3-task/antlr3-task.jar *.java

execute_after_dh_clean:
	# Removing the generated sources
	-rm -r tool/src/main/java/*.tokens tool/src/main/java/org/antlr/grammar
	# Removing the jar of the Ant task
	-rm antlr-ant/main/antlr3-task/antlr3-task.jar
