=== debian/watch ===
Version: 5

Source: https://github.com/antlr/antlr3/tags
Matching-Pattern: .*/(?:antlr-)?([\d\.]+).tar.gz
Update-Script: debian/orig-tar.sh
